<?php
if (!function_exists('__autoload')) {
	function __autoload($className) {
		$classNameArray = explode('_', $className);
		if (count($classNameArray) == 2) {
//			echo 'Include class definition (' . $className . ').' . "\n";
			require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . '../classes/' . $classNameArray[1] . '.class.php';
		}
	}
}

echo 'Start to generate a mapping file.' . "\n";
$defLocMap = ALP_DefLocMapGenerator::generateDefLocMap();
if ($defLocMap !== null) {
	$defLocMap->saveMapping();
}
?>